-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

local nodeFocusRoot = nil;
local nodeCurrentRecursion = nil;

function onInit()
	nodeFocusRoot = window.getDatabaseNode().getChild(datasource[1]);
	if not nodeFocusRoot then
		nodeFocusRoot = window.getDatabaseNode().createChild(datasource[1]);
	end

	local topWindow = UtilityManager.getTopWindow(window);
	if topWindow and topWindow.getCurrentRecursion then
		onRecursionChanged(topWindow.getCurrentRecursion());
	end
end

function onRecursionChanged(sRecursion)
	if sRecursion == RecursionManager.getAllRecursionText() then
		setReadOnly(true);
		setVisible(false);
	else
		setReadOnly(false);
		setVisible(true);

		nodeCurrentRecursion = nodeFocusRoot.getChild(sRecursion);
		if not nodeCurrentRecursion then
			nodeCurrentRecursion = nodeFocusRoot.createChild(sRecursion, "string");
			nodeCurrentRecursion.setValue("");
		end

		setValue(nodeCurrentRecursion.getValue());
	end
end

function onValueChanged()
	if nodeCurrentRecursion then
		nodeCurrentRecursion.setValue(getValue());
	end
end