--
-- Please see the license.html file included with this distribution for
-- attribution and copyright information.
--

CAMPAIGN_RECURSION_LIST = "recursions";

local recursionChangeHandlers = {};

function onInit()
	if User.isHost() then
		local nodeRecursions = DB.createNode(CAMPAIGN_RECURSION_LIST);
		nodeRecursions.setPublic(true);
	end

	DB.addHandler(CAMPAIGN_RECURSION_LIST .. ".*.name", "onUpdate", recursionUpdated);
	DB.addHandler(CAMPAIGN_RECURSION_LIST, "onChildDeleted", recursionDeleted);
end

function getAllRecursionText()
	return Interface.getString("button_recursioncycler_default");
end

function getRecursions()
	local aRecursions = {};
	for _,v in pairs(DB.getChildren(CAMPAIGN_RECURSION_LIST)) do
		table.insert(aRecursions, v.getChild("name").getValue());
	end
	return aRecursions;
end

function addRecursionsChangedHandler(handler)
	table.insert(recursionChangeHandlers, handler);
end

function recursionUpdated(node)
	processRecursionsChange(getRecursions());
end

function recursionDeleted(nodeParent)
	local aRecursions = getRecursions();
	processRecursionsChange(aRecursions);
end

function processRecursionsChange(aRecursions)
	for _,v in pairs(recursionChangeHandlers) do
		v(aRecursions);
	end
end
